GetTestReport
curl --request GET \
--url https://api.siftstack.com/api/v1/test-reports/{testReportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/test-reports/{testReportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports/{testReportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReport": {
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}TestReportService
GetTestReport
Gets a single test report
GET
/
api
/
v1
/
test-reports
/
{testReportId}
GetTestReport
curl --request GET \
--url https://api.siftstack.com/api/v1/test-reports/{testReportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siftstack.com/api/v1/test-reports/{testReportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/test-reports/{testReportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"testReport": {
"testReportId": "<string>",
"status": "TEST_STATUS_UNSPECIFIED",
"name": "<string>",
"testSystemName": "<string>",
"testCase": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"serialNumber": "<string>",
"partNumber": "<string>",
"systemOperator": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"runId": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Was this page helpful?
⌘I